-module(test4).

db_next_key(disc_copies, Tab, Key) ->  ets_next(Tab, Key);
db_next_key(disc_only_copies, Tab, Key) -> dets:next(Tab, Key).

db_slot(Tab, Pos) ->
    db_slot(val({Tab, storage_type}), Tab, Pos).
db_slot(ram_copies, Tab, Pos) ->  ets_slot(Tab, Pos);
db_slot(disc_copies, Tab, Pos) ->  ets_slot(Tab, Pos);
db_slot(disc_only_copies, Tab, Pos) -> dets:slot(Tab, Pos).


